const socials = [{
        name: 'Twitter',
        link: 'https://twitter.com/Ellpeck'
    },
    {
        name: 'GitHub',
        link: 'https://github.com/Ellpeck/',
        darkIcon: true
    },
    {
        name: 'Twitch',
        link: 'http://twitch.tv/ellpeck'
    },
    {
        name: 'YouTube',
        link: 'https://www.youtube.com/c/ellpeck'
    },
    {
        name: "itch.io",
        link: "https://ellpeck.itch.io/",
        darkIcon: true
    },
    {
        name: 'Instagram',
        link: 'https://instagram.com/Ellopecko'
    },
    {
        name: 'Patreon',
        link: 'https://patreon.com/ellpeck'
    },
    {
        name: 'Email',
        link: 'mailto:me@ellpeck.de',
        darkIcon: true
    }
];

let s = '';
for (social of socials) {
    s += '<a class="btn ' + (dark ? "btn-dark" : "btn-light") + ' social-button rounded-0" href="' + social["link"] + '"">';
    let icon = social["name"].toLowerCase();
    if (dark && social["darkIcon"])
        icon += '_dark';
    s += '<img class="social-image" src="res/social/' + icon + '.png" alt="">';
    s += social["name"];
    s += '</a>'
}
$('#social-list').html(s);

var disc = $("#discord-div");
var theme = dark ? "dark" : "light";
disc.html('<iframe id="discord-widget" src="https://discordapp.com/widget?id=181435613147430913&theme=' + theme + '" width="300" height="450" allowtransparency="true" frameborder="0"></iframe>');